![]() | CrossSection Class |
The CrossSection class defines a with cross section points

Namespace: Tekla.Structures.Catalogs
Assembly: Tekla.Structures.Catalogs (in Tekla.Structures.Catalogs.dll) Version: 2023.0.1

The CrossSection type exposes the following members.

Name | Description | |
---|---|---|
![]() | CrossSection(String) |
Creates a new cross section point instance.
|
![]() | CrossSection(ProfileName) |
Creates a new cross section point instance.
|

Name | Description | |
---|---|---|
![]() | HighAccuracy |
The contour geometry accuracy.
|
![]() | InnerSurfacePoints |
Gets the points for inner surfaces.
|
![]() | InnerSurfaces |
Gets the cross section points for inner surfaces.
|
![]() | Length |
The total length
|
![]() | Location |
The location in relation to length, 0.0 referring to start of the profile
|
![]() | OuterSurface |
Gets the cross section points for outer surface.
|
![]() | OuterSurfacePoints |
Gets the cross section points for outer surface.
|
![]() | Profile |
The profile where cross section is asked from
|

Name | Description | |
---|---|---|
![]() | GetInnerContours |
Gets the inner loop geometries as Polycurve.
|
![]() | GetOuterContour |
Gets the outer loop geometry as Polycurve.
|
![]() | Select(Double, Double) |
Selects the cross section from the profile definition.
|
![]() | Select(Boolean, Double, Double) |
Selects the cross section from the profile definition.
|

using System; using Tekla.Structures.Catalogs; public class Example { public void Example1() { CrossSection section = new CrossSection("HEA100"); if (section.Select()) { var outerSurface = section.OuterSurface; if(outerSurface != null) { foreach (CrossSectionPoint point in outerSurface) { Console.WriteLine("Point " + string.Format("({0:0.000}, {1:0.000}, {2:0.000})", point.X, point.Y, point.Z)); Console.WriteLine("Chamfer type " + point.Chamfer.Type.ToString()); Console.WriteLine("Chamfer " + string.Format("({0:0.000}, {1:0.000}, {2:0.000}, {3:0.000})", point.Chamfer.X, point.Chamfer.Y, point.Chamfer.DZ1, point.Chamfer.DZ2)); } Console.WriteLine("HEA100 cross section points selected successfully"); } } } }
